Bug 214342 - Request vendors to disclose BIOS settings required for RHEL
Request vendors to disclose BIOS settings required for RHEL
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
Yu Shao
:
Depends On:
Blocks: 238457
  Show dependency treegraph
 
Reported: 2006-11-06 23:45 EST by David Mair
Modified: 2008-10-28 01:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 01:46:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch Fix: (3.72 KB, patch)
2008-08-15 04:45 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description David Mair 2006-11-06 23:45:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061010 Firefox/2.0

Description of problem:
If OEM vendors must configure hardware BIOS/firmware settings in a particular way it would be extremely helpful to our customers if this information is disclosed up front and an explanation/description of why the settings are necessary.  This could also help our OEM partners avoid unnecessary support calls.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Steps to Reproduce:
1.Depends on whether BIOS/Firmware settings need to be changed.
2.
3.

Actual Results:


Expected Results:


Additional info:
For an example; when a certain Vendor shipped hardware as part of the certification process the partner TAM could not get the system to boot.  During a conference call it was mentioned that the BIOS needed to be "tweaked" to allow for a Linux booting.
Comment 1 Yu Shao 2006-11-07 10:23:44 EST
Yang Kun, you wanna do some research on this, I guess probably in the info test
part, is possible to list all the BIOS settings?
Comment 3 YangKun 2006-11-08 04:45:51 EST
To David Mair:
Can you please give us an example that user must change the BIOS settings in
order to install RHEL ? (machine vendor ? model ? make ?)
I've never met such machine before :-)

YK
Comment 4 YangKun 2006-11-08 05:08:28 EST
Following is an example of the BIOS info in my output.log:
-------------------------------------------------------------------
Handle 0x0000, DMI type 0, 22 bytes.
BIOS Information
        Vendor: Dell Inc.
        Version: 1.0.5
        Release Date: 09/01/2006
        Address: 0xF0000
        Runtime Size: 64 kB
        ROM Size: 1024 kB
        Characteristics:
                PCI is supported
                PNP is supported
                APM is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                EDD is supported
                Japanese floppy for Toshiba 1.2 MB is supported (int 13h)
                Print screen service is supported (int 5h)
                8042 keyboard services are supported (int 9h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                ACPI is supported
                USB legacy is supported
                LS-120 boot is supported
                BIOS boot specification is supported
                Function key-initiated network boot is supported


Comment 5 Darlene J. Ford 2007-01-06 21:18:21 EST
Wondering if this would fix bug 175784.  Any suggestions where to start?
Comment 6 Rob Landry 2007-04-30 17:04:31 EDT
Feature Request is specific to having vendors provide option settings in the
BIOS (eg. Press F10, what settings are used 'auto assign' or '0x2F8,0x3F8').

Note You need to log in before you can comment on or make changes to this bug.